GH-RUN-LIST(1)

NAME
gh-run-list - List recent workflow runs

SYNOPSIS
gh run list [flags]

DESCRIPTION
List recent workflow runs.

Note that providing the workflow_name to the -w flag will not fetch disabled workflows. Also pass the -a flag to fetch disabled workflow runs using the workflow_name and the -w flag.

Runs created by organization and enterprise ruleset workflows will not display a workflow name due to GitHub API limitations.

OPTIONS

-a, --all
    Include disabled workflows

-b, --branch <string>
    Filter runs by branch

-c, --commit <SHA>
    Filter runs by the SHA of the commit

--created <date>
    Filter runs by the date it was created

-e, --event <event>
    Filter runs by which event triggered the run

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

-L, --limit <int> (default 20)
    Maximum number of runs to fetch

-s, --status <string>
    Filter runs by status: {queued|completed|in_progress|requested|waiting|pending|action_required|cancelled|failure|neutral|skipped|stale|startup_failure|success|timed_out}

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

-u, --user <string>
    Filter runs by user who triggered the run

-w, --workflow <string>
    Filter runs by workflow

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

ALIASES
gh run ls

JSON FIELDS
attempt, conclusion, createdAt, databaseId, displayTitle, event, headBranch, headSha, name, number, startedAt, status, updatedAt, url, workflowDatabaseId, workflowName

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh-run(1)